Bug 189824 - Review Request: lasi - C++ library for creating Postscript documents
Review Request: lasi - C++ library for creating Postscript documents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-24 17:41 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 14:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-04-24 17:41:29 EDT
This is needed for the psttf driver for the upcoming 5.6.0 release of plplot.

Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/lasi.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/lasi-1.0.4-1.src.rpm
Description: 
libLASi is a library written by Larry Siden  that provides a C++ stream
output interface ( with operator << ) for creating Postscript documents that
can contain characters from any of the scripts and symbol blocks supported in
Unicode  and by Owen Taylor's Pango layout engine. The library accomodates
right-to-left scripts such as Arabic and Hebrew as easily as left-to-right
scripts. Indic and Indic-derived Complex Text Layout (CTL) scripts, such as
Devanagari, Thai, Lao, and Tibetan are supported to the extent provided by
Pango and by the OpenType fonts installed on your system. All of this is
provided without need for any special configuration or layout calculation on
the programmer's part.

Although the capability to produce Unicode-based multilingual Postscript
documents exists in large Open Source application framework libraries such as
GTK+, QT, and KDE, libLASi was designed for projects which require the
ability to produce Postscript independent of any one application framework.
Comment 1 Gérard Milmeister 2006-04-30 19:54:38 EDT
First the good news: no complaints from rpmlint.
Now for the nitpicks:-)
1. The doc directory properly belong in the -devel package, since
   it is API documentation.
2. In %description I would use LASi instead of libLASi since that
   is the name.
3. The -devel package needs Requires: pango-devel and freetype-devel
   These are included in LASi.h
Comment 2 Orion Poplawski 2006-05-04 13:23:42 EDT
(In reply to comment #1)
> 1. The doc directory properly belong in the -devel package, since
>    it is API documentation.

Done.

> 2. In %description I would use LASi instead of libLASi since that
>    is the name.

Done.

> 3. The -devel package needs Requires: pango-devel and freetype-devel
>    These are included in LASi.h

Added pango-devel, which in turn requires freetype-devel.

Updated to 1.0.5 which fixes several issues.

http://www.cora.nwra.com/~orion/fedora/lasi-1.0.5-1.fc5.src.rpm
Comment 3 Gérard Milmeister 2006-05-06 16:11:08 EDT
One small issue: the summary of lasi-devel should end with a period.

Another issue which is probably a mistake by upstream:
"pkg-config --libs lasi" returns the empty string instead of -lLASi
Looking at the examples, "-lLASi" is always explicitly included in
the compile command.

Also, the policy of FE is to omit static libraries, see "Static Libraries" in
http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 4 Orion Poplawski 2006-05-08 11:57:00 EDT
(In reply to comment #3)
> One small issue: the summary of lasi-devel should end with a period.

Fixed.

> Another issue which is probably a mistake by upstream:
> "pkg-config --libs lasi" returns the empty string instead of -lLASi
> Looking at the examples, "-lLASi" is always explicitly included in
> the compile command.

Patched and submitted upstream.
 
> Also, the policy of FE is to omit static libraries, see "Static Libraries" in
> http://fedoraproject.org/wiki/Packaging/Guidelines

Gah, I can't believe I did this!  Thanks for catching.  Fixed.

http://www.cora.nwra.com/~orion/fedora/lasi-1.0.5-2.fc5.src.rpm
Comment 5 Gérard Milmeister 2006-05-08 14:05:04 EDT
APPROVED
Comment 6 Orion Poplawski 2006-05-08 14:21:33 EDT
Checked in.
Added to owners.list
Built on devel.
FC-4 and FC-5 to come shortly.

Note You need to log in before you can comment on or make changes to this bug.